<?php

/*
 * Copyright (C) xgcms.com
 */

/*
	点击服务器，默认采用 mysql/mongodb 作为存储，如果有独立服务器，建议使用 xiuno clickd.

	GET 参数:
	/?r=1,2,3&w=1,2,3
	
	返回 JSON 格式：
	var xn_json = {"1":"100","2":"101","3":"1000"}
	
*/

// 调试模式: 1 打开，0 关闭
define('DEBUG', 0);

// 应用根目录
define('POST_PATH', str_replace('\\', '/', substr(__FILE__, 0, -23)));

// check robot
// check robot
$conf = include POST_PATH.'conf/conf.php';

define('FRAMEWORK_PATH', POST_PATH.'core/xiunophp/');
define('FRAMEWORK_TMP_PATH', $conf['tmp_path']);
define('FRAMEWORK_LOG_PATH', $conf['log_path']);

include FRAMEWORK_PATH.'core.php';
core::init();
core::ob_start();

if(misc::is_robot()) {
	header("HTTP/1.0 403 Forbidden");
	exit;
}

$m = core::model($conf, 'ads');

// read
$aid = intval(core::gpc('id'));
$rs=$m->read($aid);
if($rs){
   echo t2js($rs['adscontent']);	
}
function t2js($l1, $l2=1){
       $I1 = str_replace(array("\r", "\n"), array('', '\n'), addslashes($l1));
       return $l2 ? "document.write(\"$I1\");" : $I1;
}

?>